scala.collection.immutable.Range

# Inclusive

#### class Inclusive extends Range

Source
  Range.scala

Linear Supertypes
Range, Serializable, java.io.Serializable, CustomParallelizable[Int, ParRange], IndexedSeq[Int], collection.IndexedSeq[Int], IndexedSeqLike[Int, IndexedSeq[Int]], Seq[Int], Iterable[Int], Traversable[Int], Immutable, AbstractSeq[Int], collection.Seq[Int], SeqLike[Int, IndexedSeq[Int]], GenSeq[Int], GenSeqLike[Int, IndexedSeq[Int]], PartialFunction[Int, Int], (Int) ⇒ Int, AbstractIterable[Int], collection.Iterable[Int], IterableLike[Int, IndexedSeq[Int]], Equals, GenIterable[Int], GenIterableLike[Int, IndexedSeq[Int]], AbstractTraversable[Int], collection.Traversable[Int], GenTraversable[Int], GenericTraversableTemplate[Int, IndexedSeq], TraversableLike[Int, IndexedSeq[Int]], GenTraversableLike[Int, IndexedSeq[Int]], Parallelizable[Int, ParRange], TraversableOnce[Int], GenTraversableOnce[Int], FilterMonadic[Int, IndexedSeq[Int]], HasNewBuilder[Int, scala.collection.immutable.IndexedSeq[Int] @scala.annotation.unchecked.uncheckedVariance], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Inclusive
2. Range
3. Serializable
4. Serializable
5. CustomParallelizable
6. IndexedSeq
7. IndexedSeq
8. IndexedSeqLike
9. Seq
10. Iterable
11. Traversable
12. Immutable
13. AbstractSeq
14. Seq
15. SeqLike
16. GenSeq
17. GenSeqLike
18. PartialFunction
19. Function1
20. AbstractIterable
21. Iterable
22. IterableLike
23. Equals
24. GenIterable
25. GenIterableLike
26. AbstractTraversable
27. Traversable
28. GenTraversable
29. GenericTraversableTemplate
30. TraversableLike
31. GenTraversableLike
32. Parallelizable
33. TraversableOnce
34. GenTraversableOnce
35. FilterMonadic
36. HasNewBuilder
37. AnyRef
38. Any

Implicitly

1. by traversable2ops
2. by MonadOps
3. by any2stringadd
4. by any2stringfmt
5. by any2ArrowAssoc
6. by any2Ensuring
7. by alternateImplicit

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Inclusive(start: Int, end: Int, step: Int)

### Type Members

1. #### class Elements extends AbstractIterator[A] with BufferedIterator[A] with Serializable

   The class of the iterator returned by the `iterator` method.

2. #### type Self = IndexedSeq[Int]

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected
   Definition Classes
     TraversableLike

3. #### class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Inclusive to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ++[B](that: GenTraversableOnce[B]): IndexedSeq[B]

   [use case] Returns a new range containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new range containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the range is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new range which contains all elements of this range followed by all elements of `that`.

   Definition Classes
     TraversableLike → GenTraversableLike
   Full Signature

   #### def ++[B >: Int, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[IndexedSeq[Int], B, That]): That

6. #### def ++:[B >: Int, That](that: collection.Traversable[B])(implicit bf: CanBuildFrom[IndexedSeq[Int], B, That]): That

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

   Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this range followed by all elements of `that`.

   Definition Classes
     TraversableLike

7. #### def ++:[B](that: TraversableOnce[B]): IndexedSeq[B]

   [use case] As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   [use case]

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new range which contains all elements of this range followed by all elements of `that`.

   Definition Classes
     TraversableLike
   Full Signature

   #### def ++:[B >: Int, That](that: TraversableOnce[B])(implicit bf: CanBuildFrom[IndexedSeq[Int], B, That]): That

8. #### def +:(elem: A): IndexedSeq[A]

   [use case] A copy of the range with an element prepended.

   [use case]

   A copy of the range with an element prepended.

   Note that :-ending operators are right associative (see example). A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

   Also, the original range is not modified, so you will want to capture the result.

   Example:

       scala> val x = LinkedList(1)
       x: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val y = 2 +: x
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2, 1)

       scala> println(x)
       LinkedList(1)

   elem

     the prepended element

   returns

     a new range consisting of `elem` followed by all elements of this range.

   Definition Classes
     SeqLike → GenSeqLike
   Full Signature

   #### def +:[B >: Int, That](elem: B)(implicit bf: CanBuildFrom[IndexedSeq[Int], B, That]): That

9. #### def ->[B](y: B): (Inclusive, B)

   Implicit information
     This member is added by an implicit conversion from Inclusive to ArrowAssoc[Inclusive] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline ()

10. #### def /:[B](z: B)(op: (B, Int) ⇒ B): B

    Applies a binary operator to a start value and all elements of this range, going left to right.

    Applies a binary operator to a start value and all elements of this range, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (5 /: a)(_+_)
        b: Int = 15

        scala> val c = (5 /: a)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this range, going left to right with the start value `z` on the left:

          op(...op(op(z, x_1), x_2), ..., x_n)

      where `x1, ..., xn` are the elements of this range.

    Definition Classes
      TraversableOnce → GenTraversableOnce

11. #### def :+(elem: A): IndexedSeq[A]

    [use case] A copy of this range with an element appended.

    [use case]

    A copy of this range with an element appended.

    A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

    Example:

        scala> import scala.collection.mutable.LinkedList
        import scala.collection.mutable.LinkedList

        scala> val a = LinkedList(1)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

        scala> val b = a :+ 2
        b: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

        scala> println(a)
        LinkedList(1)

    elem

      the appended element

    returns

      a new range consisting of all elements of this range followed by `elem`.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def :+[B >: Int, That](elem: B)(implicit bf: CanBuildFrom[IndexedSeq[Int], B, That]): That

12. #### def :\[B](z: B)(op: (Int, B) ⇒ B): B

    Applies a binary operator to all elements of this range and a start value, going right to left.

    Applies a binary operator to all elements of this range and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this range, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this range.

    Definition Classes
      TraversableOnce → GenTraversableOnce

13. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

15. #### def addString(b: StringBuilder): StringBuilder

    Appends all elements of this range to a string builder.

    Appends all elements of this range to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this range without any separator string.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

16. #### def addString(b: StringBuilder, sep: String): StringBuilder

    Appends all elements of this range to a string builder using a separator string.

    Appends all elements of this range to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this range, separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

17. #### def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Appends all elements of this range to a string builder using start, end, and separator strings.

    Appends all elements of this range to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this range are separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, "LinkedList(", ", ", ")")
        res1: StringBuilder = LinkedList(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

18. #### def aggregate[B](z: B)(seqop: (B, Int) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

19. #### def andThen[C](k: (Int) ⇒ C): PartialFunction[Int, C]

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the same domain as this partial function, which maps arguments `x` to `k(this(x))`.

    Definition Classes
      PartialFunction → Function1

20. #### final def apply(idx: Int): Int

    Selects an element by its index in the range.

    Selects an element by its index in the range.

    Example:

        scala> val x = LinkedList(1, 2, 3, 4, 5)
        x: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4, 5)

        scala> x(3)
        res1: Int = 4

    idx

      The index to select.

    returns

      the element of this range at index `idx`, where `0` indicates the first element.

    Definition Classes
      Range → SeqLike → GenSeqLike → Function1
    Exceptions thrown
      `IndexOutOfBoundsException`

      if `idx` does not satisfy `0 <= idx < length`.

21. #### def applyOrElse[A1 <: Int, B1 >: Int](x: A1, default: (A1) ⇒ B1): B1

    Applies this partial function to the given argument when it is contained in the function domain.

    Applies this partial function to the given argument when it is contained in the function domain. Applies fallback function where this partial function is not defined.

    Note that expression `pf.applyOrElse(x, default)` is equivalent to

        if(pf isDefinedAt x) pf(x) else default(x)

    except that `applyOrElse` method can be implemented more efficiently. For all partial function literals compiler generates `applyOrElse` implementation which avoids double evaluation of pattern matchers and guards. This makes `applyOrElse` the basis for the efficient implementation for many operations and scenarios, such as:

    - combining partial functions into `orElse`/`andThen` chains does not lead to excessive `apply`/`isDefinedAt` evaluation
    - `lift` and `unlift` do not evaluate source functions twice on each invocation
    - `runWith` allows efficient imperative-style combining of partial functions with conditionally applied actions

    For non-literal partial function classes with nontrivial `isDefinedAt` method it is recommended to override `applyOrElse` with custom implementation that avoids double `isDefinedAt` evaluation. This may result in better performance and more predictable behavior w.r.t. side effects.

    x

      the function argument

    default

      the fallback function

    returns

      the result of this function or fallback function application.

    Definition Classes
      PartialFunction
    Since

      2.10

22. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

23. #### def asParIterable: ParIterable[Int]

    Implicit information
      This member is added by an implicit conversion from Inclusive to TraversableOps[Int] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

24. #### def asParSeq: ParSeq[Int]

    Implicit information
      This member is added by an implicit conversion from Inclusive to TraversableOps[Int] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

25. #### def by(step: Int): Range

    Create a new range with the `start` and `end` values of this range and a new `step`.

    Create a new range with the `start` and `end` values of this range and a new `step`.

    returns

      a new range with a different step

    Definition Classes
      Range

26. #### def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this range should be compared

    returns

      `true`, if this range can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals

27. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )
    Note

      not specified by SLS as a member of AnyRef

28. #### def collect[B](pf: PartialFunction[A, B]): IndexedSeq[B]

    [use case] Builds a new collection by applying a partial function to all elements of this range on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this range on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the range.

    returns

      a new range resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike
    Full Signature

    #### def collect[B, That](pf: PartialFunction[Int, B])(implicit bf: CanBuildFrom[IndexedSeq[Int], B, That]): That

29. #### def collectFirst[B](pf: PartialFunction[Int, B]): Option[B]

    Finds the first element of the range for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the range for which the given partial function is defined, and applies the partial function to it.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

30. #### def combinations(n: Int): Iterator[IndexedSeq[Int]]

    Iterates over combinations.

    Iterates over combinations.

    returns

      An Iterator which traverses the possible n-element combinations of this range.

    Definition Classes
      SeqLike
    Example:

    1. `"abbbc".combinations(2) = Iterator(ab, ac, bb, bc)`

31. #### def companion: GenericCompanion[IndexedSeq]

    The factory companion object that builds instances of class IndexedSeq.

    The factory companion object that builds instances of class IndexedSeq. (or its `Iterable` superclass where class IndexedSeq is not a `Seq`.)

    Definition Classes
      IndexedSeq → IndexedSeq → Seq → Seq → GenSeq → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → GenericTraversableTemplate

32. #### def compose[A](g: (A) ⇒ Int): (A) ⇒ Int

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized ()

33. #### final def contains(x: Int): Boolean

    Definition Classes
      Range

34. #### def contains(elem: Any): Boolean

    Tests whether this range contains a given value as an element.

    Tests whether this range contains a given value as an element.

    elem

      the element to test.

    returns

      `true` if this range has an element that is equal (as determined by `==`) to `elem`, `false` otherwise.

    Definition Classes
      SeqLike

35. #### def containsSlice[B](that: GenSeq[B]): Boolean

    Tests whether this range contains a given sequence as a slice.

    Tests whether this range contains a given sequence as a slice.

    that

      the sequence to test

    returns

      `true` if this range contains a slice with the same elements as `that`, otherwise `false`.

    Definition Classes
      SeqLike

36. #### def copy(start: Int, end: Int, step: Int): Range

    Attributes
      protected
    Definition Classes
      Inclusive → Range

37. #### def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies elements of this range to an array.

    [use case]

    Copies elements of this range to an array. Fills the given array `xs` with at most `len` elements of this range, starting at position `start`. Copying will stop once either the end of the current range is reached, or the end of the array is reached, or `len` elements have been copied.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Int](xs: Array[B], start: Int, len: Int): Unit

38. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this range to an array.

    [use case]

    Copies values of this range to an array. Fills the given array `xs` with values of this range. Copying will stop once either the end of the current range is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Int](xs: Array[B]): Unit

39. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this range to an array.

    [use case]

    Copies values of this range to an array. Fills the given array `xs` with values of this range, beginning at index `start`. Copying will stop once either the end of the current range is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Int](xs: Array[B], start: Int): Unit

40. #### def copyToBuffer[B >: Int](dest: Buffer[B]): Unit

    Copies all elements of this range to a buffer.

    Copies all elements of this range to a buffer.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

41. #### def corresponds[B](that: GenSeq[B])(p: (Int, B) ⇒ Boolean): Boolean

    Tests whether every element of this range relates to the corresponding element of another sequence by satisfying a test predicate.

    Tests whether every element of this range relates to the corresponding element of another sequence by satisfying a test predicate.

    B

      the type of the elements of `that`

    that

      the other sequence

    p

      the test predicate, which relates elements from both sequences

    returns

      `true` if both sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this range and `y` of `that`, otherwise `false`.

    Definition Classes
      SeqLike → GenSeqLike

42. #### def count(p: (Int) ⇒ Boolean): Int

    Counts the number of elements in the range which satisfy a predicate.

    Counts the number of elements in the range which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

43. #### def diff(that: collection.Seq[Int]): IndexedSeq[Int]

    [use case] Computes the multiset difference between this range and another sequence.

    [use case]

    Computes the multiset difference between this range and another sequence.

    that

      the sequence of elements to remove

    returns

      a new range which contains all elements of this range except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def diff[B >: Int](that: GenSeq[B]): IndexedSeq[Int]

44. #### def distinct: IndexedSeq[Int]

    Builds a new range from this range without any duplicate elements.

    Builds a new range from this range without any duplicate elements.

    returns

      A new range which contains the first occurrence of every element of this range.

    Definition Classes
      SeqLike → GenSeqLike

45. #### final def drop(n: Int): Range

    Creates a new range containing all the elements of this range except the first `n` elements.

    Creates a new range containing all the elements of this range except the first `n` elements.

    Note: this method does not use builders to construct a new range, and its complexity is O(1).

    n

      the number of elements to drop.

    returns

      a new range consisting of all the elements of this range except `n` first elements.

    Definition Classes
      Range → IterableLike → TraversableLike → GenTraversableLike

46. #### final def dropRight(n: Int): Range

    Creates a new range consisting of the initial `length - n` elements of the range.

    Creates a new range consisting of the initial `length - n` elements of the range.

    Note: this method does not use builders to construct a new range, and its complexity is O(1).

    n

      The number of elements to take

    returns

      a range consisting of all elements of this range except the last `n` ones, or else the empty range, if this range has less than `n` elements.

    Definition Classes
      Range → IterableLike

47. #### final def dropWhile(p: (Int) ⇒ Boolean): Range

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    returns

      the longest suffix of this range whose first element does not satisfy the predicate `p`.

    Definition Classes
      Range → TraversableLike → GenTraversableLike

48. #### def endsWith[B](that: GenSeq[B]): Boolean

    Tests whether this range ends with the given sequence.

    Tests whether this range ends with the given sequence.

    that

      the sequence to test

    returns

      `true` if this range has `that` as a suffix, `false` otherwise.

    Definition Classes
      SeqLike → GenSeqLike

49. #### def ensuring(cond: (Inclusive) ⇒ Boolean, msg: ⇒ Any): Inclusive

    Implicit information
      This member is added by an implicit conversion from Inclusive to Ensuring[Inclusive] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

50. #### def ensuring(cond: (Inclusive) ⇒ Boolean): Inclusive

    Implicit information
      This member is added by an implicit conversion from Inclusive to Ensuring[Inclusive] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

51. #### def ensuring(cond: Boolean, msg: ⇒ Any): Inclusive

    Implicit information
      This member is added by an implicit conversion from Inclusive to Ensuring[Inclusive] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

52. #### def ensuring(cond: Boolean): Inclusive

    Implicit information
      This member is added by an implicit conversion from Inclusive to Ensuring[Inclusive] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

53. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

54. #### def equals(other: Any): Boolean

    The equals method for arbitrary sequences.

    The equals method for arbitrary sequences. Compares this sequence to some other object.

    returns

      `true` if `that` is a sequence that has the same elements as this sequence in the same order, `false` otherwise

    Definition Classes
      Range → GenSeqLike → Equals → AnyRef → Any

55. #### def exists(p: (Int) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this range.

    Tests whether a predicate holds for some of the elements of this range.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this range, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

56. #### def filter(p: (Int) ⇒ Boolean): IndexedSeq[Int]

    Selects all elements of this range which satisfy a predicate.

    Selects all elements of this range which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new range consisting of all elements of this range that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

57. #### def filterNot(p: (Int) ⇒ Boolean): IndexedSeq[Int]

    Selects all elements of this range which do not satisfy a predicate.

    Selects all elements of this range which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new range consisting of all elements of this range that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

58. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

59. #### def find(p: (Int) ⇒ Boolean): Option[Int]

    Finds the first element of the range satisfying a predicate, if any.

    Finds the first element of the range satisfying a predicate, if any.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the range that satisfies `p`, or `None` if none exists.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

60. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): IndexedSeq[B]

    [use case] Builds a new collection by applying a function to all elements of this range and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this range and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of range. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new range resulting from applying the given collection-valued function `f` to each element of this range and concatenating the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def flatMap[B, That](f: (Int) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[IndexedSeq[Int], B, That]): That

61. #### def flatten[B]: IndexedSeq[B]

    [use case] Converts this range of traversable collections into a range formed by the elements of these traversable collections.

    [use case]

    Converts this range of traversable collections into a range formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of range. For example:

        val xs = List(Set(1, 2, 3), Set(1, 2, 3))
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(List(1, 2, 3), List(3, 2, 1))
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new range resulting from concatenating all element ranges.

    Definition Classes
      GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: (Int) ⇒ GenTraversableOnce[B]): IndexedSeq[B]

62. #### def fold[A1 >: Int](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this range using the specified associative binary operator.

    Folds the elements of this range using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

63. #### def foldLeft[B](z: B)(op: (B, Int) ⇒ B): B

    Applies a binary operator to a start value and all elements of this range, going left to right.

    Applies a binary operator to a start value and all elements of this range, going left to right.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this range, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this range.

    Definition Classes
      TraversableOnce → GenTraversableOnce

64. #### def foldRight[B](z: B)(op: (Int, B) ⇒ B): B

    Applies a binary operator to all elements of this range and a start value, going right to left.

    Applies a binary operator to all elements of this range and a start value, going right to left.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this range, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this range.

    Definition Classes
      IterableLike → TraversableOnce → GenTraversableOnce

65. #### def forall(p: (Int) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this range.

    Tests whether a predicate holds for all elements of this range.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this range, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

66. #### final def foreach(f: (A) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this range.

    [use case]

    Applies a function `f` to all elements of this range.

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      Range → IterableLike → GenericTraversableTemplate → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic
    Full Signature

    #### final def foreach[U](f: (Int) ⇒ U): Unit

67. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Inclusive to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline ()

68. #### def genericBuilder[B]: Builder[B, IndexedSeq[B]]

    The generic builder that builds instances of IndexedSeq at arbitrary element types.

    The generic builder that builds instances of IndexedSeq at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

69. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

70. #### def groupBy[K](f: (Int) ⇒ K): Map[K, IndexedSeq[Int]]

    Partitions this range into a map of ranges according to some discriminator function.

    Partitions this range into a map of ranges according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new range.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to ranges such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a range of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableLike → GenTraversableLike

71. #### def grouped(size: Int): Iterator[IndexedSeq[Int]]

    Partitions elements in fixed size ranges.

    Partitions elements in fixed size ranges.

    size

      the number of elements per group

    returns

      An iterator producing ranges of size `size`, except the last will be truncated if the elements don't divide evenly.

    Definition Classes
      IterableLike
    See also

      scala.collection.Iterator, method `grouped`

72. #### def hasDefiniteSize: Boolean

    Tests whether this range is known to have a finite size.

    Tests whether this range is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

73. #### def hashCode(): Int

    Hashcodes for IndexedSeq produce a value from the hashcodes of all the elements of the range.

    Hashcodes for IndexedSeq produce a value from the hashcodes of all the elements of the range.

    returns

      the hash code value for this object.

    Definition Classes
      IndexedSeqLike → GenSeqLike → Any

74. #### def head: Int

    Selects the first element of this range.

    Selects the first element of this range.

    returns

      the first element of this range.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the range is empty.

75. #### def headOption: Option[Int]

    Optionally selects the first element.

    Optionally selects the first element.

    returns

      the first element of this range if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike → GenTraversableLike

76. #### def ifParSeq[R](isbody: (ParSeq[Int]) ⇒ R): (TraversableOps[Int])#Otherwise[R]

    Implicit information
      This member is added by an implicit conversion from Inclusive to TraversableOps[Int] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

77. #### def inclusive: Range

    Make range inclusive.

    Make range inclusive.

    Definition Classes
      Range

78. #### def indexOf(elem: Int, from: Int): Int

    [use case] Finds index of first occurrence of some value in this range after or at some start index.

    [use case]

    Finds index of first occurrence of some value in this range after or at some start index.

    elem

      the element value to search for.

    from

      the start index

    returns

      the index `>= from` of the first element of this range that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: Int](elem: B, from: Int): Int

79. #### def indexOf(elem: Int): Int

    [use case] Finds index of first occurrence of some value in this range.

    [use case]

    Finds index of first occurrence of some value in this range.

    elem

      the element value to search for.

    returns

      the index of the first element of this range that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: Int](elem: B): Int

80. #### def indexOfSlice[B >: Int](that: GenSeq[B], from: Int): Int

    Finds first index after or at a start index where this range contains a given sequence as a slice.

    Finds first index after or at a start index where this range contains a given sequence as a slice.

    that

      the sequence to test

    from

      the start index

    returns

      the first index `>= from` such that the elements of this range starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

81. #### def indexOfSlice[B >: Int](that: GenSeq[B]): Int

    Finds first index where this range contains a given sequence as a slice.

    Finds first index where this range contains a given sequence as a slice.

    that

      the sequence to test

    returns

      the first index such that the elements of this range starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

82. #### def indexWhere(p: (Int) ⇒ Boolean, from: Int): Int

    Finds index of the first element satisfying some predicate after or at some start index.

    Finds index of the first element satisfying some predicate after or at some start index.

    p

      the predicate used to test elements.

    from

      the start index

    returns

      the index `>= from` of the first element of this range that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      SeqLike → GenSeqLike

83. #### def indexWhere(p: (Int) ⇒ Boolean): Int

    Finds index of first element satisfying some predicate.

    Finds index of first element satisfying some predicate.

    p

      the predicate used to test elements.

    returns

      the index of the first element of this range that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

84. #### def indices: Range

    Produces the range of all indices of this sequence.

    Produces the range of all indices of this sequence.

    returns

      a `Range` value from `0` to one less than the length of this range.

    Definition Classes
      SeqLike

85. #### final def init: Range

    Creates a new range containing all the elements of this range except the last one.

    Creates a new range containing all the elements of this range except the last one.

    Note: this method does not use builders to construct a new range, and its complexity is O(1).

    returns

      a new range consisting of all the elements of this range except the last one.

    Definition Classes
      Range → TraversableLike → GenTraversableLike

86. #### def inits: Iterator[IndexedSeq[Int]]

    Iterates over the inits of this range.

    Iterates over the inits of this range. The first value will be this range and the final one will be an empty range, with the intervening values the results of successive applications of `init`.

    returns

      an iterator over all the inits of this range

    Definition Classes
      TraversableLike
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

87. #### def intersect(that: collection.Seq[Int]): IndexedSeq[Int]

    [use case] Computes the multiset intersection between this range and another sequence.

    [use case]

    Computes the multiset intersection between this range and another sequence.

    that

      the sequence of elements to intersect with.

    returns

      a new range which contains all elements of this range which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def intersect[B >: Int](that: GenSeq[B]): IndexedSeq[Int]

88. #### def isDefinedAt(idx: Int): Boolean

    Tests whether this range contains given index.

    Tests whether this range contains given index.

    The implementations of methods `apply` and `isDefinedAt` turn a `Seq[A]` into a `PartialFunction[Int, A]`.

    idx

      the index to test

    returns

      `true` if this range contains an element at position `idx`, `false` otherwise.

    Definition Classes
      GenSeqLike

89. #### final val isEmpty: Boolean

    Tests whether this range is empty.

    Tests whether this range is empty.

    returns

      `true` if the range contain no elements, `false` otherwise.

    Definition Classes
      Range → SeqLike → IterableLike → GenericTraversableTemplate → TraversableLike → TraversableOnce → GenTraversableOnce

90. #### def isInclusive: Boolean

    Definition Classes
      Inclusive → Range

91. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

92. #### def isParIterable: Boolean

    Implicit information
      This member is added by an implicit conversion from Inclusive to TraversableOps[Int] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

93. #### def isParSeq: Boolean

    Implicit information
      This member is added by an implicit conversion from Inclusive to TraversableOps[Int] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

94. #### def isParallel: Boolean

    Implicit information
      This member is added by an implicit conversion from Inclusive to TraversableOps[Int] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

95. #### final def isTraversableAgain: Boolean

    Tests whether this range can be repeatedly traversed.

    Tests whether this range can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      TraversableLike → GenTraversableLike → GenTraversableOnce

96. #### def iterator: Iterator[Int]

    Creates a new iterator over all elements contained in this iterable object.

    Creates a new iterator over all elements contained in this iterable object.

    returns

      the new iterator

    Definition Classes
      IndexedSeqLike → IterableLike → GenIterableLike

97. #### def last: Int

    Selects the last element.

    Selects the last element.

    returns

      The last element of this range.

    Definition Classes
      Range → TraversableLike → GenTraversableLike
    Exceptions thrown
      NoSuchElementException

      If the range is empty.

98. #### final val lastElement: Int

    Definition Classes
      Range

99. #### def lastIndexOf(elem: Int, end: Int): Int

    [use case] Finds index of last occurrence of some value in this range before or at a given end index.

    [use case]

    Finds index of last occurrence of some value in this range before or at a given end index.

    elem

      the element value to search for.

    end

      the end index.

    returns

      the index `<= end` of the last element of this range that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def lastIndexOf[B >: Int](elem: B, end: Int): Int

100. #### def lastIndexOf(elem: Int): Int

     [use case] Finds index of last occurrence of some value in this range.

     [use case]

     Finds index of last occurrence of some value in this range.

     elem

       the element value to search for.

     returns

       the index of the last element of this range that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike
     Full Signature

     #### def lastIndexOf[B >: Int](elem: B): Int

101. #### def lastIndexOfSlice[B >: Int](that: GenSeq[B], end: Int): Int

     Finds last index before or at a given end index where this range contains a given sequence as a slice.

     Finds last index before or at a given end index where this range contains a given sequence as a slice.

     that

       the sequence to test

     end

       the end index

     returns

       the last index `<= end` such that the elements of this range starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

102. #### def lastIndexOfSlice[B >: Int](that: GenSeq[B]): Int

     Finds last index where this range contains a given sequence as a slice.

     Finds last index where this range contains a given sequence as a slice.

     that

       the sequence to test

     returns

       the last index such that the elements of this range starting a this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

103. #### def lastIndexWhere(p: (Int) ⇒ Boolean, end: Int): Int

     Finds index of last element satisfying some predicate before or at given end index.

     Finds index of last element satisfying some predicate before or at given end index.

     p

       the predicate used to test elements.

     returns

       the index `<= end` of the last element of this range that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       SeqLike → GenSeqLike

104. #### def lastIndexWhere(p: (Int) ⇒ Boolean): Int

     Finds index of last element satisfying some predicate.

     Finds index of last element satisfying some predicate.

     p

       the predicate used to test elements.

     returns

       the index of the last element of this range that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

105. #### def lastOption: Option[Int]

     Optionally selects the last element.

     Optionally selects the last element.

     returns

       the last element of this range$ if it is nonempty, `None` if it is empty.

     Definition Classes
       TraversableLike → GenTraversableLike

106. #### def length: Int

     The length of the range.

     The length of the range.

     Note: `xs.length` and `xs.size` yield the same result.

     returns

       the number of elements in this range.

     Definition Classes
       Range → SeqLike → GenSeqLike

107. #### def lengthCompare(len: Int): Int

     Compares the length of this range to a test value.

     Compares the length of this range to a test value.

     len

       the test value that gets compared with the length.

     returns

       A value `x` where

           x <  0       if this.length <  len
           x == 0       if this.length == len
           x >  0       if this.length >  len

       The method as implemented here does not call `length` directly; its running time is `O(length min len)` instead of `O(length)`. The method should be overwritten if computing `length` is cheap.

     Definition Classes
       SeqLike

108. #### def lift: (Int) ⇒ Option[Int]

     Turns this partial function into a plain function returning an `Option` result.

     Turns this partial function into a plain function returning an `Option` result.

     returns

       a function that takes an argument `x` to `Some(this(x))` if `this` is defined for `x`, and to `None` otherwise.

     Definition Classes
       PartialFunction
     See also

       Function.unlift

109. #### def map[B](f: (A) ⇒ B): IndexedSeq[B]

     [use case] Builds a new collection by applying a function to all elements of this range.

     [use case]

     Builds a new collection by applying a function to all elements of this range.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new range resulting from applying the given function `f` to each element of this range and collecting the results.

     Definition Classes
       TraversableLike → GenTraversableLike → FilterMonadic
     Full Signature

     #### def map[B, That](f: (Int) ⇒ B)(implicit bf: CanBuildFrom[IndexedSeq[Int], B, That]): That

110. #### def max: A

     [use case] Finds the largest element.

     [use case]

     Finds the largest element.

     returns

       the largest element of this range.

     Definition Classes
       Range → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def max[A1 >: Int](implicit ord: Ordering[A1]): Int

111. #### def maxBy[B](f: (Int) ⇒ B)(implicit cmp: Ordering[B]): Int

     Definition Classes
       TraversableOnce → GenTraversableOnce

112. #### def min: A

     [use case] Finds the smallest element.

     [use case]

     Finds the smallest element.

     returns

       the smallest element of this range

     Definition Classes
       Range → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def min[A1 >: Int](implicit ord: Ordering[A1]): Int

113. #### def minBy[B](f: (Int) ⇒ B)(implicit cmp: Ordering[B]): Int

     Definition Classes
       TraversableOnce → GenTraversableOnce

114. #### def mkString: String

     Displays all elements of this range in a string.

     Displays all elements of this range in a string.

     returns

       a string representation of this range. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this range follow each other without any separator string.

     Definition Classes
       TraversableOnce → GenTraversableOnce

115. #### def mkString(sep: String): String

     Displays all elements of this range in a string using a separator string.

     Displays all elements of this range in a string using a separator string.

     sep

       the separator string.

     returns

       a string representation of this range. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this range are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("|") = "1|2|3"`

116. #### def mkString(start: String, sep: String, end: String): String

     Displays all elements of this range in a string using start, end, and separator strings.

     Displays all elements of this range in a string using start, end, and separator strings.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this range. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this range are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

117. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

118. #### def newBuilder: Builder[Int, IndexedSeq[Int]]

     The builder that builds instances of type IndexedSeq[A]

     The builder that builds instances of type IndexedSeq[A]

     Attributes
       protected[this]
     Definition Classes
       GenericTraversableTemplate → HasNewBuilder

119. #### def nonEmpty: Boolean

     Tests whether the range is not empty.

     Tests whether the range is not empty.

     returns

       `true` if the range contains at least one element, `false` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

120. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

121. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

122. #### final val numRangeElements: Int

     Definition Classes
       Range

123. #### def orElse[A1 <: Int, B1 >: Int](that: PartialFunction[A1, B1]): PartialFunction[A1, B1]

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     A1

       the argument type of the fallback function

     B1

       the result type of the fallback function

     that

       the fallback function

     returns

       a partial function which has as domain the union of the domains of this partial function and `that`. The resulting partial function takes `x` to `this(x)` where `this` is defined, and to `that(x)` where it is not.

     Definition Classes
       PartialFunction

124. #### def padTo(len: Int, elem: A): IndexedSeq[A]

     [use case] A copy of this range with an element value appended until a given target length is reached.

     [use case]

     A copy of this range with an element value appended until a given target length is reached.

     len

       the target length

     elem

       the padding value

     returns

       a new range consisting of all elements of this range followed by the minimal number of occurrences of `elem` so that the resulting range has a length of at least `len`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def padTo[B >: Int, That](len: Int, elem: B)(implicit bf: CanBuildFrom[IndexedSeq[Int], B, That]): That

125. #### def par: ParRange

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       Range → CustomParallelizable → Parallelizable

126. #### def parCombiner: Combiner[Int, ParRange]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       CustomParallelizable → Parallelizable

127. #### def partition(p: (Int) ⇒ Boolean): (IndexedSeq[Int], IndexedSeq[Int])

     Partitions this range in two ranges according to a predicate.

     Partitions this range in two ranges according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of ranges: the first range consists of all elements that satisfy the predicate `p` and the second range consists of all elements that don't. The relative order of the elements in the resulting ranges is the same as in the original range.

     Definition Classes
       TraversableLike → GenTraversableLike

128. #### def patch(from: Int, that: GenSeq[A], replaced: Int): IndexedSeq[A]

     [use case] Produces a new range where a slice of elements in this range is replaced by another sequence.

     [use case]

     Produces a new range where a slice of elements in this range is replaced by another sequence.

     from

       the index of the first replaced element

     replaced

       the number of elements to drop in the original range

     returns

       a new range consisting of all elements of this range except that `replaced` elements starting from `from` are replaced by `patch`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def patch[B >: Int, That](from: Int, patch: GenSeq[B], replaced: Int)(implicit bf: CanBuildFrom[IndexedSeq[Int], B, That]): That

129. #### def permutations: Iterator[IndexedSeq[Int]]

     Iterates over distinct permutations.

     Iterates over distinct permutations.

     returns

       An Iterator which traverses the distinct permutations of this range.

     Definition Classes
       SeqLike
     Example:

     1. `"abb".permutations = Iterator(abb, bab, bba)`

130. #### def prefixLength(p: (Int) ⇒ Boolean): Int

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     returns

       the length of the longest prefix of this range such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       GenSeqLike

131. #### def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements in this range of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the range and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def product[B >: Int](implicit num: Numeric[B]): B

132. #### def reduce[A1 >: Int](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this range using the specified associative binary operator.

     Reduces the elements of this range using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the range is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this range is empty.

133. #### def reduceLeft[B >: Int](op: (B, Int) ⇒ B): B

     Applies a binary operator to all elements of this range, going left to right.

     Applies a binary operator to all elements of this range, going left to right.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this range, going left to right:

           op( op( ... op(x_1, x_2) ..., x_{n-1}), x_n)

       where `x1, ..., xn` are the elements of this range.

     Definition Classes
       TraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this range is empty.

134. #### def reduceLeftOption[B >: Int](op: (B, Int) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this range, going left to right.

     Optionally applies a binary operator to all elements of this range, going left to right.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this range is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

135. #### def reduceOption[A1 >: Int](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this range, if any, using the specified associative binary operator.

     Reduces the elements of this range, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

136. #### def reduceRight[B >: Int](op: (Int, B) ⇒ B): B

     Applies a binary operator to all elements of this range, going right to left.

     Applies a binary operator to all elements of this range, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this range, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this range.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this range is empty.

137. #### def reduceRightOption[B >: Int](op: (Int, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this range, going right to left.

     Optionally applies a binary operator to all elements of this range, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this range is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

138. #### def repr: IndexedSeq[Int]

     The collection of type range underlying this `TraversableLike` object.

     The collection of type range underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike

139. #### final def reverse: Range

     Returns the reverse of this range.

     Returns the reverse of this range.

     Note: this method does not use builders to construct a new range, and its complexity is O(1).

     returns

       A new range with all elements of this range in reversed order.

     Definition Classes
       Range → SeqLike → GenSeqLike

140. #### def reverseIterator: Iterator[Int]

     An iterator yielding elements in reversed order.

     An iterator yielding elements in reversed order.

     Note: `xs.reverseIterator` is the same as `xs.reverse.iterator` but might be more efficient.

     returns

       an iterator yielding the elements of this range in reversed order

     Definition Classes
       SeqLike

141. #### def reverseMap[B](f: (A) ⇒ B): IndexedSeq[B]

     [use case] Builds a new collection by applying a function to all elements of this range and collecting the results in reversed order.

     [use case]

     Builds a new collection by applying a function to all elements of this range and collecting the results in reversed order.

     Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new range resulting from applying the given function `f` to each element of this range and collecting the results in reversed order.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def reverseMap[B, That](f: (Int) ⇒ B)(implicit bf: CanBuildFrom[IndexedSeq[Int], B, That]): That

142. #### def reversed: scala.List[Int]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

143. #### def runWith[U](action: (Int) ⇒ U): (Int) ⇒ Boolean

     Composes this partial function with an action function which gets applied to results of this partial function.

     Composes this partial function with an action function which gets applied to results of this partial function. The action function is invoked only for its side effects; its result is ignored.

     Note that expression `pf.runWith(action)(x)` is equivalent to

         if(pf isDefinedAt x) { action(pf(x)); true } else false

     except that `runWith` is implemented via `applyOrElse` and thus potentially more efficient. Using `runWith` avoids double evaluation of pattern matchers and guards for partial function literals.

     action

       the action function

     returns

       a function which maps arguments `x` to `isDefinedAt(x)`. The resulting function runs `action(this(x))` where `this` is defined.

     Definition Classes
       PartialFunction
     Since

       2.10

     See also

       `applyOrElse`.

144. #### def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this range.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this range.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def sameElements[B >: Int](that: GenIterable[B]): Boolean

145. #### def scan[B >: Int, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[IndexedSeq[Int], B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new range containing the prefix scan of the elements in this range

     Definition Classes
       TraversableLike → GenTraversableLike

146. #### def scanLeft[B, That](z: B)(op: (B, Int) ⇒ B)(implicit bf: CanBuildFrom[IndexedSeq[Int], B, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike

147. #### def scanRight[B, That](z: B)(op: (Int, B) ⇒ B)(implicit bf: CanBuildFrom[IndexedSeq[Int], B, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

148. #### def segmentLength(p: (Int) ⇒ Boolean, from: Int): Int

     Computes length of longest segment whose elements all satisfy some predicate.

     Computes length of longest segment whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     from

       the index where the search starts.

     returns

       the length of the longest segment of this range starting from index `from` such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       SeqLike → GenSeqLike

149. #### def seq: IndexedSeq[Int]

     A version of this collection with all of the operations implemented sequentially (i.

     A version of this collection with all of the operations implemented sequentially (i.e. in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       IndexedSeq → IndexedSeq → IndexedSeqLike → Seq → Seq → GenSeq → GenSeqLike → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

150. #### def size: Int

     The size of this range, equivalent to `length`.

     The size of this range, equivalent to `length`.

     returns

       the number of elements in this range.

     Definition Classes
       Range → SeqLike → GenTraversableLike → TraversableOnce → GenTraversableOnce

151. #### def slice(from: Int, until: Int): IndexedSeq[Int]

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     returns

       a range containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this range.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

152. #### def sliding(size: Int, step: Int): Iterator[IndexedSeq[Int]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups (defaults to 1)

     returns

       An iterator producing ranges of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

153. #### def sliding(size: Int): Iterator[IndexedSeq[Int]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing ranges of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

154. #### def sortBy[B](f: (Int) ⇒ B)(implicit ord: math.Ordering[B]): IndexedSeq[Int]

     Sorts this IndexedSeq according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     Sorts this IndexedSeq according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     B

       the target type of the transformation `f`, and the type where the ordering `ord` is defined.

     f

       the transformation function mapping elements to some other domain `B`.

     ord

       the ordering assumed on domain `B`.

     returns

       a range consisting of the elements of this range sorted according to the ordering where `x < y` if `ord.lt(f(x), f(y))`.

     Definition Classes
       SeqLike
     Example:

     1.     val words = "The quick brown fox jumped over the lazy dog".split(' ')
            // this works because scala.Ordering will implicitly provide an Ordering[Tuple2[Int, Char]]
            words.sortBy(x => (x.length, x.head))
            res0: Array[String] = Array(The, dog, fox, the, lazy, over, brown, quick, jumped)

     See also

       scala.math.Ordering

155. #### def sortWith(lt: (Int, Int) ⇒ Boolean): IndexedSeq[Int]

     Sorts this range according to a comparison function.

     Sorts this range according to a comparison function.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     lt

       the comparison function which tests whether its first argument precedes its second argument in the desired ordering.

     returns

       a range consisting of the elements of this range sorted according to the comparison function `lt`.

     Definition Classes
       SeqLike
     Example:

     1.     List("Steve", "Tom", "John", "Bob").sortWith(_.compareTo(_) < 0) =
            List("Bob", "John", "Steve", "Tom")

156. #### def sorted[B >: Int](implicit ord: math.Ordering[B]): IndexedSeq[Int]

     Sorts this range according to an Ordering.

     Sorts this range according to an Ordering.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     ord

       the ordering to be used to compare elements.

     returns

       a range consisting of the elements of this range sorted according to the ordering `ord`.

     Definition Classes
       SeqLike
     See also

       scala.math.Ordering

157. #### final def span(p: (Int) ⇒ Boolean): (Range, Range)

     Splits this range into a prefix/suffix pair according to a predicate.

     Splits this range into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     returns

       a pair consisting of the longest prefix of this range whose elements all satisfy `p`, and the rest of this range.

     Definition Classes
       Range → TraversableLike → GenTraversableLike

158. #### final def splitAt(n: Int): (Range, Range)

     Creates a pair of new ranges, first consisting of elements before `n`, and the second of elements after `n`.

     Creates a pair of new ranges, first consisting of elements before `n`, and the second of elements after `n`.

     Note: this method does not use builders to construct a new range, and its complexity is O(1).

     n

       the position at which to split.

     returns

       a pair of ranges consisting of the first `n` elements of this range, and the other elements.

     Definition Classes
       Range → TraversableLike → GenTraversableLike

159. #### def startsWith[B](that: GenSeq[B], offset: Int): Boolean

     Tests whether this range contains the given sequence at a given index.

     Tests whether this range contains the given sequence at a given index.

     Note: If the both the receiver object `this` and the argument `that` are infinite sequences this method may not terminate.

     that

       the sequence to test

     offset

       the index where the sequence is searched.

     returns

       `true` if the sequence `that` is contained in this range at index `offset`, otherwise `false`.

     Definition Classes
       SeqLike → GenSeqLike

160. #### def startsWith[B](that: GenSeq[B]): Boolean

     Tests whether this range starts with the given sequence.

     Tests whether this range starts with the given sequence.

     that

       the sequence to test

     returns

       `true` if this collection has `that` as a prefix, `false` otherwise.

     Definition Classes
       GenSeqLike

161. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this range. By default the string prefix is the simple name of the collection class range.

     Definition Classes
       TraversableLike → GenTraversableLike

162. #### final def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this range of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the range and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       Range → TraversableOnce → GenTraversableOnce
     Full Signature

     #### final def sum[B >: Int](implicit num: Numeric[B]): Int

163. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

164. #### final def tail: Range

     Creates a new range containing all the elements of this range except the first one.

     Creates a new range containing all the elements of this range except the first one.

     Note: this method does not use builders to construct a new range, and its complexity is O(1).

     returns

       a new range consisting of all the elements of this range except the first one.

     Definition Classes
       Range → TraversableLike → GenTraversableLike

165. #### def tails: Iterator[IndexedSeq[Int]]

     Iterates over the tails of this range.

     Iterates over the tails of this range. The first value will be this range and the final one will be an empty range, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this range

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

166. #### final def take(n: Int): Range

     Creates a new range containing the first `n` elements of this range.

     Creates a new range containing the first `n` elements of this range.

     Note: this method does not use builders to construct a new range, and its complexity is O(1).

     n

       the number of elements to take.

     returns

       a new range consisting of `n` first elements.

     Definition Classes
       Range → IterableLike → TraversableLike → GenTraversableLike

167. #### final def takeRight(n: Int): Range

     Creates a new range consisting of the `length - n` last elements of the range.

     Creates a new range consisting of the `length - n` last elements of the range.

     Note: this method does not use builders to construct a new range, and its complexity is O(1).

     n

       the number of elements to take

     returns

       a range consisting only of the last `n` elements of this range, or else the whole range, if it has less than `n` elements.

     Definition Classes
       Range → IterableLike

168. #### final def takeWhile(p: (Int) ⇒ Boolean): Range

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     returns

       the longest prefix of this range whose elements all satisfy the predicate `p`.

     Definition Classes
       Range → IterableLike → TraversableLike → GenTraversableLike

169. #### final val terminalElement: Int

     Definition Classes
       Range

170. #### def thisCollection: collection.IndexedSeq[Int]

     The underlying collection seen as an instance of `IndexedSeq`.

     The underlying collection seen as an instance of `IndexedSeq`. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IndexedSeqLike → SeqLike → IterableLike → TraversableLike

171. #### def to[Col[_]]: Col[A]

     [use case] Converts this range into another by copying all elements.

     [use case]

     Converts this range into another by copying all elements.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this range.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, Int, Col[Int]]): Col[Int]

172. #### def toArray: Array[A]

     [use case] Converts this range to an array.

     [use case]

     Converts this range to an array.

     returns

       an array containing all elements of this range. An `ClassTag` must be available for the element type of this range.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toArray[B >: Int](implicit arg0: ClassTag[B]): Array[B]

173. #### def toBuffer[A1 >: Int]: Buffer[A1]

     Converts this range to a mutable buffer.

     Converts this range to a mutable buffer.

     returns

       a buffer containing all elements of this range.

     Definition Classes
       IndexedSeqLike → TraversableOnce → GenTraversableOnce

174. #### def toCollection(repr: IndexedSeq[Int]): collection.IndexedSeq[Int]

     A conversion from collections of type `Repr` to `IndexedSeq` objects.

     A conversion from collections of type `Repr` to `IndexedSeq` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IndexedSeqLike → SeqLike → IterableLike → TraversableLike

175. #### def toIndexedSeq: IndexedSeq[Int]

     Converts this range to an indexed sequence.

     Converts this range to an indexed sequence.

     returns

       an indexed sequence containing all elements of this range.

     Definition Classes
       IndexedSeq → TraversableOnce → GenTraversableOnce

176. #### def toIterable: Range

     Converts this range to an iterable collection.

     Converts this range to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     returns

       an `Iterable` containing all elements of this range.

     Definition Classes
       Range → IterableLike → TraversableOnce → GenTraversableOnce

177. #### def toIterator: Iterator[Int]

     Returns an Iterator over the elements in this range.

     Returns an Iterator over the elements in this range. Will return the same Iterator if this instance is already an Iterator.

     returns

       an Iterator containing all elements of this range.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

178. #### def toList: scala.List[Int]

     Converts this range to a list.

     Converts this range to a list.

     returns

       a list containing all elements of this range.

     Definition Classes
       TraversableOnce → GenTraversableOnce

179. #### def toMap[T, U]: collection.Map[T, U]

     [use case] Converts this range to a map.

     [use case]

     Converts this range to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this range.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toMap[T, U](implicit ev: <:<[Int, (T, U)]): Map[T, U]

180. #### def toParArray: ParArray[Int]

     Implicit information
       This member is added by an implicit conversion from Inclusive to TraversableOps[Int] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

181. #### def toSeq: Range

     Converts this range to a sequence.

     Converts this range to a sequence.

     Overridden for efficiency.

     returns

       a sequence containing all elements of this range.

     Definition Classes
       Range → Seq → SeqLike → GenSeqLike → TraversableOnce → GenTraversableOnce

182. #### def toSet[B >: Int]: Set[B]

     Converts this range to a set.

     Converts this range to a set.

     returns

       a set containing all elements of this range.

     Definition Classes
       TraversableOnce → GenTraversableOnce

183. #### def toStream: Stream[Int]

     Converts this range to a stream.

     Converts this range to a stream.

     returns

       a stream containing all elements of this range.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

184. #### def toString(): String

     Note: hashCode can't be overridden without breaking Seq's equals contract.

     Note: hashCode can't be overridden without breaking Seq's equals contract.

     returns

       a string representation of this collection. By default this string consists of the `stringPrefix` of this range, followed by all elements separated by commas and enclosed in parentheses.

     Definition Classes
       Range → SeqLike → Function1 → TraversableLike → AnyRef → Any

185. #### def toTraversable: collection.Traversable[Int]

     Converts this range to an unspecified Traversable.

     Converts this range to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     returns

       a Traversable containing all elements of this range.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

186. #### def toVector: scala.Vector[Int]

     Converts this range to a Vector.

     Converts this range to a Vector.

     returns

       a vector containing all elements of this range.

     Definition Classes
       TraversableOnce → GenTraversableOnce

187. #### def transpose[B](implicit asTraversable: (Int) ⇒ GenTraversableOnce[B]): IndexedSeq[IndexedSeq[B]]

     Transposes this range of traversable collections into a range of ranges.

     Transposes this range of traversable collections into a range of ranges.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this range is a `Traversable`.

     returns

       a two-dimensional range of ranges which has as nth row the nth column of this range.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this range are not of the same size.

188. #### def union(that: collection.Seq[Int]): IndexedSeq[Int]

     [use case] Produces a new sequence which contains all elements of this range and also all elements of a given sequence.

     [use case]

     Produces a new sequence which contains all elements of this range and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

     Another way to express this is that `xs union ys` computes the order-presevring multi-set union of `xs` and `ys`. `union` is hence a counter-part of `diff` and `intersect` which also work on multi-sets.

     that

       the sequence to add.

     returns

       a new range which contains all elements of this range followed by all elements of `that`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def union[B >: Int, That](that: GenSeq[B])(implicit bf: CanBuildFrom[IndexedSeq[Int], B, That]): That

189. #### def unzip[A1, A2](implicit asPair: (Int) ⇒ (A1, A2)): (IndexedSeq[A1], IndexedSeq[A2])

     Converts this range of pairs into two collections of the first and second half of each pair.

     Converts this range of pairs into two collections of the first and second half of each pair.

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this range is a pair.

     returns

       a pair ranges, containing the first, respectively second half of each element pair of this range.

     Definition Classes
       GenericTraversableTemplate

190. #### def unzip3[A1, A2, A3](implicit asTriple: (Int) ⇒ (A1, A2, A3)): (IndexedSeq[A1], IndexedSeq[A2], IndexedSeq[A3])

     Converts this range of triples into three collections of the first, second, and third element of each triple.

     Converts this range of triples into three collections of the first, second, and third element of each triple.

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this range is a triple.

     returns

       a triple ranges, containing the first, second, respectively third member of each element triple of this range.

     Definition Classes
       GenericTraversableTemplate

191. #### def updated(index: Int, elem: A): IndexedSeq[A]

     [use case] A copy of this range with one single replaced element.

     [use case]

     A copy of this range with one single replaced element.

     index

       the position of the replacement

     elem

       the replacing element

     returns

       a copy of this range with the element at position `index` replaced by `elem`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def updated[B >: Int, That](index: Int, elem: B)(implicit bf: CanBuildFrom[IndexedSeq[Int], B, That]): That

192. #### def validateRangeBoundaries(f: (Int) ⇒ Any): Boolean

     Definition Classes
       Range

193. #### def view(from: Int, until: Int): SeqView[Int, IndexedSeq[Int]]

     Creates a non-strict view of a slice of this range.

     Creates a non-strict view of a slice of this range.

     Note: the difference between `view` and `slice` is that `view` produces a view of the current range, whereas `slice` produces a new range.

     Note: `view(from, to)` is equivalent to `view.slice(from, to)`

     from

       the index of the first element of the view

     until

       the index of the element following the view

     returns

       a non-strict view of a slice of this range, starting at index `from` and extending up to (but not including) index `until`.

     Definition Classes
       SeqLike → IterableLike → TraversableLike

194. #### def view: SeqView[Int, IndexedSeq[Int]]

     Creates a non-strict view of this range.

     Creates a non-strict view of this range.

     returns

       a non-strict view of this range.

     Definition Classes
       SeqLike → IterableLike → TraversableLike

195. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws ( ... )

196. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws ( ... )

197. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws ( ... )

198. #### def withFilter(p: (Int) ⇒ Boolean): FilterMonadic[Int, IndexedSeq[Int]]

     Creates a non-strict filter of this range.

     Creates a non-strict filter of this range.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this range which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic

199. #### def zip[B](that: GenIterable[B]): IndexedSeq[(A, B)]

     [use case] Returns a range formed from this range and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a range formed from this range and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new range containing pairs consisting of corresponding elements of this range and `that`. The length of the returned collection is the minimum of the lengths of this range and `that`.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zip[A1 >: Int, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[IndexedSeq[Int], (A1, B), That]): That

200. #### def zipAll[B](that: collection.Iterable[B], thisElem: A, thatElem: B): IndexedSeq[(A, B)]

     [use case] Returns a range formed from this range and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a range formed from this range and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this range is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this range.

     returns

       a new range containing pairs consisting of corresponding elements of this range and `that`. The length of the returned collection is the maximum of the lengths of this range and `that`. If this range is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this range, `thatElem` values are used to pad the result.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipAll[B, A1 >: Int, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[IndexedSeq[Int], (A1, B), That]): That

201. #### def zipWithIndex: IndexedSeq[(A, Int)]

     [use case] Zips this range with its indices.

     [use case]

     Zips this range with its indices.

     returns

       A new range containing pairs consisting of all elements of this range paired with their index. Indices start at `0`.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[A1 >: Int, That](implicit bf: CanBuildFrom[IndexedSeq[Int], (A1, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

202. #### def →[B](y: B): (Inclusive, B)

     Implicit information
       This member is added by an implicit conversion from Inclusive to ArrowAssoc[Inclusive] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### def filter(p: (Int) ⇒ Boolean): TraversableOnce[Int]

   Implicit information
     This member is added by an implicit conversion from Inclusive to MonadOps[Int] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (inclusive: MonadOps[Int]).filter(p)

   Definition Classes
     MonadOps

2. #### def flatMap[B](f: (Int) ⇒ GenTraversableOnce[B]): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from Inclusive to MonadOps[Int] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (inclusive: MonadOps[Int]).flatMap(f)

   Definition Classes
     MonadOps

3. #### def map[B](f: (Int) ⇒ B): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from Inclusive to MonadOps[Int] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (inclusive: MonadOps[Int]).map(f)

   Definition Classes
     MonadOps

4. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Inclusive to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (inclusive: StringAdd).self

   Definition Classes
     StringAdd

5. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Inclusive to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (inclusive: StringFormat).self

   Definition Classes
     StringFormat

6. #### def withFilter(p: (Int) ⇒ Boolean): Iterator[Int]

   Implicit information
     This member is added by an implicit conversion from Inclusive to MonadOps[Int] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (inclusive: MonadOps[Int]).withFilter(p)

   Definition Classes
     MonadOps

### Deprecated Value Members

1. #### def /:\[A1 >: Int](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

2. #### def x: Inclusive

   Implicit information
     This member is added by an implicit conversion from Inclusive to ArrowAssoc[Inclusive] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (inclusive: ArrowAssoc[Inclusive]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

3. #### def x: Inclusive

   Implicit information
     This member is added by an implicit conversion from Inclusive to Ensuring[Inclusive] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (inclusive: Ensuring[Inclusive]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Range

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from CustomParallelizable[Int, ParRange]

### Inherited from IndexedSeq[Int]

### Inherited from collection.IndexedSeq[Int]

### Inherited from IndexedSeqLike[Int, IndexedSeq[Int]]

### Inherited from Seq[Int]

### Inherited from Iterable[Int]

### Inherited from Traversable[Int]

### Inherited from Immutable

### Inherited from AbstractSeq[Int]

### Inherited from collection.Seq[Int]

### Inherited from SeqLike[Int, IndexedSeq[Int]]

### Inherited from GenSeq[Int]

### Inherited from GenSeqLike[Int, IndexedSeq[Int]]

### Inherited from PartialFunction[Int, Int]

### Inherited from (Int) ⇒ Int

### Inherited from AbstractIterable[Int]

### Inherited from collection.Iterable[Int]

### Inherited from IterableLike[Int, IndexedSeq[Int]]

### Inherited from Equals

### Inherited from GenIterable[Int]

### Inherited from GenIterableLike[Int, IndexedSeq[Int]]

### Inherited from AbstractTraversable[Int]

### Inherited from collection.Traversable[Int]

### Inherited from GenTraversable[Int]

### Inherited from GenericTraversableTemplate[Int, IndexedSeq]

### Inherited from TraversableLike[Int, IndexedSeq[Int]]

### Inherited from GenTraversableLike[Int, IndexedSeq[Int]]

### Inherited from Parallelizable[Int, ParRange]

### Inherited from TraversableOnce[Int]

### Inherited from GenTraversableOnce[Int]

### Inherited from FilterMonadic[Int, IndexedSeq[Int]]

### Inherited from HasNewBuilder[Int, scala.collection.immutable.IndexedSeq[Int] @scala.annotation.unchecked.uncheckedVariance]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion traversable2ops from Inclusive to TraversableOps[Int]

### Inherited by implicit conversion MonadOps from Inclusive to MonadOps[Int]

### Inherited by implicit conversion any2stringadd from Inclusive to StringAdd

### Inherited by implicit conversion any2stringfmt from Inclusive to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from Inclusive to ArrowAssoc[Inclusive]

### Inherited by implicit conversion any2Ensuring from Inclusive to Ensuring[Inclusive]

### Inherited by implicit conversion alternateImplicit from Inclusive to ForceImplicitAmbiguity

### Ungrouped